net.corda.contracts.asset

## Class Obligation.Terms<P>

- net.corda.contracts.asset.Obligation.Terms<P>

- Type Parameters:
    `P` - the product the obligation is for payment of.
  Enclosing class:
    Obligation<P>

      public static class Obligation.Terms<P>

  Subset of state, containing the elements specified when issuing a new settlement contract.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Terms(NonEmptySet<net.corda.core.crypto.SecureHash> acceptableContracts, NonEmptySet<net.corda.core.contracts.Issued> acceptableIssuedProducts, java.time.Instant dueBefore, java.time.Duration timeTolerance)` Subset of state, containing the elements specified when issuing a new settlement contract.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `NonEmptySet<net.corda.core.crypto.SecureHash>` | `component1()` The hash of the asset contract we
    `NonEmptySet<net.corda.core.contracts.Issued>` | `component2()` The parties whose assets we are willing to accept in payment for this debt.
    `java.time.Instant` | `component3()` When the contract must be settled by.
    `java.time.Duration` | `component4()`
    `Obligation.Terms<P>` | `copy(NonEmptySet<net.corda.core.crypto.SecureHash> acceptableContracts, NonEmptySet<net.corda.core.contracts.Issued> acceptableIssuedProducts, java.time.Instant dueBefore, java.time.Duration timeTolerance)` Subset of state, containing the elements specified when issuing a new settlement contract.
    `boolean` | `equals(java.lang.Object p)`
    `NonEmptySet<net.corda.core.crypto.SecureHash>` | `getAcceptableContracts()` The hash of the asset contract we
    `NonEmptySet<net.corda.core.contracts.Issued>` | `getAcceptableIssuedProducts()` The parties whose assets we are willing to accept in payment for this debt.
    `java.time.Instant` | `getDueBefore()` When the contract must be settled by.
    `P` | `getProduct()`
    `java.time.Duration` | `getTimeTolerance()`
    `int` | `hashCode()`
    `java.lang.String` | `toString()`

- - ### Constructor Detail

    - #### Terms

          public Terms(NonEmptySet<net.corda.core.crypto.SecureHash> acceptableContracts,
                       NonEmptySet<net.corda.core.contracts.Issued> acceptableIssuedProducts,
                       java.time.Instant dueBefore,
                       java.time.Duration timeTolerance)

      Subset of state, containing the elements specified when issuing a new settlement contract.

      Parameters:
        `acceptableContracts` - The hash of the asset contract we're willing to accept in payment for this debt.
        `acceptableIssuedProducts` - The parties whose assets we are willing to accept in payment for this debt.
        `dueBefore` - When the contract must be settled by.

  - ### Method Detail

    - #### getProduct

          public P getProduct()

    - #### getAcceptableContracts

          public NonEmptySet<net.corda.core.crypto.SecureHash> getAcceptableContracts()

      The hash of the asset contract we

      're willing to accept in payment for this debt.

    - #### getAcceptableIssuedProducts

          public NonEmptySet<net.corda.core.contracts.Issued> getAcceptableIssuedProducts()

      The parties whose assets we are willing to accept in payment for this debt.

    - #### getDueBefore

          public java.time.Instant getDueBefore()

      When the contract must be settled by.

    - #### getTimeTolerance

          public java.time.Duration getTimeTolerance()

    - #### component1

          public NonEmptySet<net.corda.core.crypto.SecureHash> component1()

      The hash of the asset contract we

      're willing to accept in payment for this debt.

    - #### component2

          public NonEmptySet<net.corda.core.contracts.Issued> component2()

      The parties whose assets we are willing to accept in payment for this debt.

    - #### component3

          public java.time.Instant component3()

      When the contract must be settled by.

    - #### component4

          public java.time.Duration component4()

    - #### copy

          public Obligation.Terms<P> copy(NonEmptySet<net.corda.core.crypto.SecureHash> acceptableContracts,
                                          NonEmptySet<net.corda.core.contracts.Issued> acceptableIssuedProducts,
                                          java.time.Instant dueBefore,
                                          java.time.Duration timeTolerance)

      Subset of state, containing the elements specified when issuing a new settlement contract.

    - #### toString

          public java.lang.String toString()

    - #### hashCode

          public int hashCode()

    - #### equals

          public boolean equals(java.lang.Object p)